package xyz.tbvns.ui.Windows;

import imgui.ImGui;
import imgui.extension.imguifiledialog.ImGuiFileDialog;
import imgui.extension.imguifiledialog.callback.ImGuiFileDialogPaneFun;
import imgui.extension.imguifiledialog.flag.ImGuiFileDialogFlags;
import imgui.gl3.ImGuiImplGl3;
import xyz.tbvns.ui.Element;

public class ModelFileSelector implements Element {
    private static ImGuiFileDialogPaneFun callback = new ImGuiFileDialogPaneFun() {
        @Override
        public void paneFun(String filter, long userDatas, boolean canContinue) {
            ImGui.text("Filter: " + filter);
        }
    };

    @Override
    public void render() {
        if (!ImGuiFileDialog.isOpened())  {
            ImGuiFileDialog.openModal(
                "browse-key",
                "Choose the model's folder",
                "",
                System.getProperty("user.home"),
                "",
                1,
                42,
                ImGuiFileDialogFlags.ConfirmOverwrite
            );
            ImGuiFileDialog.display("browse-key", ImGuiFileDialogFlags.None, 200, 200, 800, 800);
        }
    }
}
